Page MenuHomePhabricator

[flang][msvc] Use platform-independent primitives in temporary f18 driver.
ClosedPublic

Authored by Meinersbur on Aug 10 2020, 9:34 AM.

Details

Summary

Use functions for process launching, temporary file creation and file deletion from LLVM support library instead of POSIX-specific ones.

This patch is part of the series to make flang compilable with MS Visual Studio.

Diff Detail

Event Timeline

Meinersbur created this revision.Aug 10 2020, 9:34 AM
Herald added a project: Restricted Project. · View Herald Transcript
Meinersbur requested review of this revision.Aug 10 2020, 9:34 AM
  • Use llvm::report_fatal_error
DavidTruby accepted this revision.Aug 11 2020, 5:15 AM

LGTM! I wonder why we have all this duplicated code here though...

This revision is now accepted and ready to land.Aug 11 2020, 5:15 AM
This revision was landed with ongoing or failed builds.Aug 13 2020, 12:17 AM
This revision was automatically updated to reflect the committed changes.